const path = require('path');
const CopyWebpackPlugin = require('copy-webpack-plugin');
const HandlebarsWebpackPlugin = require('handlebars-webpack-plugin');


module.exports = options => {
  console.log('################################################ OPTIONS', options);
  
  return [
    new CopyWebpackPlugin([
      {
        context: 'node_modules/@livingdocs/framework/dist',
        from: 'livingdocs-framework.min.js',
        to: path.join(options.dest, 'vendor')
      },
      {
        context: 'node_modules/@livingdocs/framework/dist/css',
        from: 'livingdocs.css',
        to: path.join(options.dest, 'vendor')
      },
      {
        context: 'node_modules/@livingdocs/framework/node_modules/upfront-editable/dist',
        from: 'editable.js',
        to: path.join(options.dest, 'vendor')
      },
      {
        context: 'dist',
        from: 'design.js',
        to: path.join(options.dest, 'design')
      },
    ]),

    new HandlebarsWebpackPlugin({
      entry: path.join(__dirname, 'pages', '*.hbs'),
      output: path.join(options.dest, '[name].html'),
      data: require('./data'),
      partials: [path.join(__dirname, 'partials', '*.hbs')],
      helpers: [path.join(__dirname, 'helpers', '*.helper.js')]
    })
  ]
};
