const assert = require('assert');
const fs = require('fs');
const suppose = require('suppose');

const host = 'http://localhost:9090';


async function ldm(ldmArguments = []) {
  const username = process.env.USER_EMAIL;
  const password = process.env.USER_PASSWORD;
  
  assert(username, 'Mei Bua... 😓 da musst scho a USER_EMAIL als Umgebungsvariable setzten damit des geht');
  assert(password, 'Mei Bua... 😓 da musst scho a USER_PASSWORD als Umgebungsvariable setzten damit des geht');

  return new Promise(resolve => {
    suppose(
      `${process.cwd()}/node_modules/.bin/ldm`,
      ldmArguments,
      { debug: fs.createWriteStream(`${process.cwd()}/.publish.log`) }
    )
      .when(/Host:/).respond(host).respond('\n')
      .when(/Email:/).respond(username).respond('\n')
      .when(/Password:/).respond(password).respond('\n')
      .on('error', err => console.log(err.message))
      .end(resolve);
  });
}

module.exports = ldm;
