const ldm = require('./ldm');

const designVersion = require('../src/config.json').version;
const channel = 2;

const force = process.argv.find(arg => arg === '--force');

async function uploadDesign() {
  await ldm(
    [
      'design:publish',
      'dist/'
    ].concat((force) ? '--force' : null)
  );
}

function updateChannel() {
  return ldm(
    [
      'channel:design-version:add',
      '--name',
      'szdigital',
      '--version',
      designVersion,
      '--channel',
      channel
    ]
  );
}


async function processUpload() {
  try {
    await uploadDesign();
    await updateChannel();
  } catch (err) {
    console.error(err);
    throw err;
  }
}

processUpload();
